# class Chef::Resource::Directory

### Public Class Methods

new(name, run_context=nil) click to toggle source
Calls superclass method Chef::Resource.new

    # File lib/chef/resource/directory.rb, line 37
    def initialize(name, run_context=nil)
      super
      @resource_name = :directory
      @path = name
      @action = :create
      @recursive = false
      @allowed_actions.push(:create, :delete)
      @provider = Chef::Provider::Directory
    end

### Public Instance Methods

path(arg=nil) click to toggle source

    # File lib/chef/resource/directory.rb, line 55
    def path(arg=nil)
      set_or_return(
        :path,
        arg,
        :kind_of => String
      )
    end

recursive(arg=nil) click to toggle source

    # File lib/chef/resource/directory.rb, line 47
    def recursive(arg=nil)
      set_or_return(
        :recursive,
        arg,
        :kind_of => [ TrueClass, FalseClass ]
      )
    end